Problem with VS 2010 and 4.0 framework

.NET obfuscator and automated error reporting

Moderators: Luke Jefferson, Alex.Davies, melvyn.harbour

Problem with VS 2010 and 4.0 framework

Postby gs2010 » Wed Jun 23, 2010 4:34 am

Hello,

I have one assembly that I process through smartassembly, it has a couple of dependencies that I embed. If I use that assembly in a .net project that targets the 3.5 framework everything is fine.
When used in the 4.0 framework, the application will be unable to locate the dependencies ( File not found exception)
I am using {sa} 5.0.
Did you guys ever hear of this ?

Thanks
gs2010
 
Posts: 2
Joined: Wed Jun 23, 2010 4:30 am

Postby gs2010 » Wed Jun 23, 2010 1:04 pm

anyone ?
gs2010
 
Posts: 2
Joined: Wed Jun 23, 2010 4:30 am

Postby Paul.Martin » Wed Jun 23, 2010 7:25 pm

Sorry for taking a while to reply.

We've not come across this before.

A few questions:

What framework does your assembly target, and what do the dependencies target?

Is the .NET 4.0 app calling and using the assembly in the same way as the .NET 3.5 app?

How is the assembly being called (i.e. are you using Assembly.Load(...) or similar)?

Are you getting the error message (File not found) at compile time or at runtime?
And what does the error message say - is it saying that it cannot find the assembly, "cannot find the assembly or one of it's dependencies" or cannot find one of the dependencies.
Paul.Martin
 
Posts: 83
Joined: Wed Feb 03, 2010 11:20 am
Location: Cambridgeshire


Return to SmartAssembly 5

Who is online

Users browsing this forum: No registered users and 0 guests

cron